> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Remove User from Channel > Remove a user from the channel. Permissions required: * `remove-user`: To remove a user from any room. * `kick-user-from-any-c-room`: To remove a user from a public channel. You also need the `remove-user` permission. ### Changelog | Version | Description | | ------- | ------------------------- | | 0.48.0 | Added | ## OpenAPI ````json POST /api/v1/channels.kick { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.kick": { "post": { "tags": [ "Channels" ], "summary": "Remove User from Channel", "description": "Remove a user from the channel.\n\nPermissions required:\n* `remove-user`: To remove a user from any room.\n* `kick-user-from-any-c-room`: To remove a user from a public channel. You also need the `remove-user` permission.\n\n### Changelog\n| Version | Description |\n| ------- | ------------------------- |\n| 0.48.0 | Added |", "operationId": "post-api-v1-channels.kick", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The channel's id" }, "userId": { "type": "string", "description": "The id of the user to be removed." } }, "required": [ "roomId", "userId" ] }, "examples": { "Example": { "value": { "roomId": "WDuJLFkjwk6L7LdFC", "userId": "rYhzFRd2QZjNwAAXX" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "channel": { "type": "object", "properties": { "_id": { "type": "string" }, "fname": { "type": "string" }, "customFields": { "type": "object" }, "topic": { "type": "string" }, "broadcast": { "type": "boolean" }, "encrypted": { "type": "boolean" }, "name": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "default": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "msg": { "type": "string" }, "ts": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object" } }, "mentions": { "type": "array", "items": { "type": "object" } }, "channels": { "type": "array", "items": { "type": "object" } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } }, "lm": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "channel": { "_id": "ByehQjC44FwMeiLbX", "name": "invite-me", "t": "c", "usernames": [ "testing1" ], "msgs": 0, "u": { "_id": "aobEdbYhXfu5hkeqG", "username": "testing1" }, "ts": "2016-12-09T15:08:58.042Z", "ro": false, "sysMes": true, "_updatedAt": "2016-12-09T15:22:40.656Z" }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````